CREATE TABLE atc_pop_taxes (
    TAX_ID                   NUMBER(18, 0) ,
    TAX_CATEGORY_CODE        VARCHAR2(800) ,
    TAX_CODE                 VARCHAR2(400)     NOT NULL,
    TAX_TIME                 VARCHAR2(400) ,
    TAX_AMOUNT_VALUE         NUMBER        ,
    TAX_AMOUNT_UNITS         VARCHAR2(200) ,
    TAX_PROVIDER             VARCHAR2(800) ,
    TAX_RATE                 NUMBER        ,
    PROD_OFFER_PRICE_ID      NUMBER(18, 0)     NOT NULL,
    AT_TYPE                  VARCHAR2(800) ,
    AT_BASE_TYPE             VARCHAR2(800) ,
    AT_SCHEMA_LOCATION       VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    TAX_ID                   NUMBER(18, 0) ,
    TAX_CATEGORY_CODE        VARCHAR2(800) ,
    TAX_CODE                 VARCHAR2(400)     NOT NULL,
    TAX_TIME                 VARCHAR2(400) ,
    TAX_AMOUNT_VALUE         NUMBER        ,
    TAX_AMOUNT_UNITS         VARCHAR2(200) ,
    TAX_RATE                 NUMBER        ,
    PROD_OFFER_PRICE_ID      NUMBER(18, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    TAX_PROVIDER             VARCHAR2(800) ,
    AT_TYPE                  VARCHAR2(800) ,
    AT_BASE_TYPE             VARCHAR2(800) ,
    AT_SCHEMA_LOCATION       VARCHAR2(4000),
    CONSTRAINT pk_atc_pop_taxes PRIMARY KEY (TAX_ID, TAX_ID)
);
